Show / Hide Table of Contents

# Interface IInviteMetadata

Represents additional information regarding the generic invite object.

##### Inherited Members

IInvite.Code
IInvite.Url
IInvite.Channel
IInvite.ChannelType
IInvite.ChannelId
IInvite.ChannelName
IInvite.Guild
IInvite.GuildId
IInvite.GuildName
IInvite.PresenceCount
IInvite.MemberCount
IEntity<String>.Id
IDeletable.DeleteAsync(RequestOptions)

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IInviteMetadata : IInvite, IEntity<string>, IDeletable

### Properties

| Improve this Doc View Source

#### CreatedAt

Gets when this invite was created.

##### Declaration

    DateTimeOffset? CreatedAt { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> | A System.DateTimeOffset representing the time of which the invite was first created.

| Improve this Doc View Source

#### Inviter

Gets the user that created this invite.

##### Declaration

    IUser Inviter { get; }

##### Property Value

Type | Description
--- | ---
IUser | A user that created this invite.

| Improve this Doc View Source

#### IsRevoked

Gets a value that indicates whether the invite has been revoked.

##### Declaration

    bool IsRevoked { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this invite was revoked; otherwise `false`.

| Improve this Doc View Source

#### IsTemporary

Gets a value that indicates whether the invite is a temporary one.

##### Declaration

    bool IsTemporary { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if users accepting this invite will be removed from the guild when they log off; otherwise `false`.

| Improve this Doc View Source

#### MaxAge

Gets the time (in seconds) until the invite expires.

##### Declaration

    int? MaxAge { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An System.Int32 representing the time in seconds until this invite expires; `null` if this invite never expires.

| Improve this Doc View Source

#### MaxUses

Gets the max number of uses this invite may have.

##### Declaration

    int? MaxUses { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An System.Int32 representing the number of uses this invite may be accepted until it is removed from the guild; `null` if none is set.

| Improve this Doc View Source

#### Uses

Gets the number of times this invite has been used.

##### Declaration

    int? Uses { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An System.Int32 representing the number of times this invite has been used.